Highlighted

Could not initialize class coldfusion.mail.MailImpl

New Here ,
May 15, 2019

Copy link to clipboard

Copied

We are upgrading from CF11 to CF2018.

We have update 2 applied. Whenever we access CFMAIL tag, we get exception "Could not initialize class coldfusion.mail.MailImpl".

Any ideas what might cause this?

I'm not  heavy into java, but I can't seem to locate where the coldfusion package is to see if the coldfusion.mail.MailImpl is defined ...

any help greatly appreciated.

Views

277

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Could not initialize class coldfusion.mail.MailImpl

New Here ,
May 15, 2019

Copy link to clipboard

Copied

We are upgrading from CF11 to CF2018.

We have update 2 applied. Whenever we access CFMAIL tag, we get exception "Could not initialize class coldfusion.mail.MailImpl".

Any ideas what might cause this?

I'm not  heavy into java, but I can't seem to locate where the coldfusion package is to see if the coldfusion.mail.MailImpl is defined ...

any help greatly appreciated.

Views

278

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 15, 2019 0
New Here ,
Jun 20, 2019

Copy link to clipboard

Copied

were you able to solve this?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 20, 2019 0
Adobe Community Professional ,
Jun 20, 2019

Copy link to clipboard

Copied

I would not expect this to be a real bug in CF, as I've never heard of it (and there's virtually no other reported instances of it via google searching).

Instead, I would wonder if instead this may a reflection of a failure during the most recent application of a CF update.

To both of you, first, what update of CF2018 are you on now (see the CF admin "settings summary" page). And second, if you look at your update log for whatever last update you applied, let's confirm there are 0 errors. For more details on how to confirm that, see my blog post:

Having problems after applying a CF update? What to check, and how to recover! - ColdFusion

/Charlie (server troubleshooter, carehart.org)

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 20, 2019 0
New Here ,
Jun 20, 2019

Copy link to clipboard

Copied

Hi Charlie,

I am on 2016 and applied all the patches ( last one was update #11 I believe ) went through w/o issues ( although I had to do it from the CLI as the web-interface kept looping and never install anything).

Also, I discovered what the issue was that I had. For our app we use bouncy castle. We used version 1.6 but it looks like ColdFusion 2016 now also has a version of that library 1.53.  When I enable both en restart CF, then CFmail bombs. So hard that even a cftry/catch won't catch it.

So I removed the bouncy castle 1.6 and re-started and then my cfmail issues went away.  But .... now we are left out on encrypting data with our specific bouncy castle 1.6 version. Will solve that another day ...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 20, 2019 0